Main Page Groups Namespaces

# exception_catch.h File Reference

## Namespaces
namespace | sigc
## Functions
template<class T_action, class T_functor, class T_catcher, class T_return>
void | visit_each (const T_action& _A_action, const exception_catch_functor<T_functor, T_catcher, T_return>& _A_target)
template<class T_functor, class T_catcher>
exception_catch_functor< T_functor, T_catcher > | exception_catch (const T_functor& _A_func, const T_catcher& _A_catcher)

## Function Documentation

template <class T_functor, class T_catcher>
exception_catch_functor<T_functor, T_catcher> exception_catch | ( | const T_functor& | _A_func,
|  | const T_catcher& | _A_catcher
| ) | `[inline]`

template <class T_action, class T_functor, class T_catcher, class T_return>
void visit_each | ( | const T_action& | _A_action,
|  | const exception_catch_functor<T_functor, T_catcher, T_return>& | _A_target
| ) |